var recentLocalResult = 0;
var localStoreDir;

function localStoreSandbag()
{
	try {
		localStoreDir = discussPref.getCharPref("localstore.directory");
	} catch (ex) {
		localStoreDir = "";
		alert ("Please set the folder for saving local posts");
		return false;
	}
	var localDirFh = new Dir(localStoreDir);
	if (!localDirFh.exists()) {
		localDirFh.create();
		if(!localDirFh.exists()) {
			alert ("Directory does not exist and could not be created");
			return false;
		}
	}
/*	  if (localDir.charAt(localDir.length-1) != '/' )
		localDir = localDir + '/';*/
	return true;
}

function localPost()
{
  if (localStoreSandbag()) {
//	  var localFilename = document.getElementById("metaTextbox").value;
	localFilename = document.getElementById("postIDs").selectedItem.value;
	if (localFilename == 0) {
		var mydate = new Date();
		localFilename = mydate.getTime();
		localFilename = localFilename + ".txt";
	}
	var localContent = editorGetContent(0);
	saveLocalPost((localStoreDir + localFilename), localContent);
	clearField();
	localRecentFile();
  }
}

function saveLocalPost(filePath, localContent)
{
	var localFh = new File(filePath);
	localFh.open('w');
	localFh.write(localContent);
	localFh.close();
}

function localPublish()
{
}

function localRecentFile()
{
  if (localStoreSandbag()) {
	var regex = /^\d+/gi;
	var localDirFh = new Dir(localStoreDir);
	recentList = document.getElementById("postIDs");
	// todo: a generic method to clear all result
	if (recentResult) { // clear blogger result
	  for (index = 0; index < recentResult.Count(); index++) {
		 recentList.removeItemAt(1);
	  }
	  recentResult = null;
	}
	if (recentLocalResult > 0) { //clear localstore result
	  for (index = 0; index < recentLocalResult; index++) {
		recentList.removeItemAt(1);
	  }
	  recentLocalResult = 0;
	}

	var prevBlogPanel = document.getElementById('prevBlogPostList');
	listCount = prevBlogPanel.getRowCount();
	for (scraptCount = 0; scraptCount < listCount; scraptCount++) {
		prevBlogPanel.removeItemAt(0);
	}

	var localDirContent = localDirFh.readDir();

	newBlogList = document.getElementById("prevBlogPostList");
	if (localDirContent) {
	  for (localCount = 0; localCount < localDirContent.length; localCount++) {
		recentLocalResult++;
		var tempFilename = localDirContent[localCount].leaf;
		var filename_Ext = tempFilename.substring(0,(tempFilename.length - 4));

/*		  if (regex.test(filename_Ext)) {
		  var tempFilename = parseInt(filename_Ext);
		  var myTime = new Date(tempFilename);
//			recentList.appendItem(myTime.toGMTString(), tempFilename);
		  fileLabel = myTime.toGMTString();
		} else {*/
//			recentList.appendItem(tempFilename, tempFilename);
		  fileLabel =  tempFilename;
//		  }
		var treeItem = document.createElement("listitem" );
		treeItem.setAttribute("label", fileLabel);
		treeItem.setAttribute("value", tempFilename);
		treeItem.setAttribute("onclick", "saveTmpFile();getLocalContent(this.value);");
		newBlogList.appendChild(treeItem);
	  }
	}
  }
}

function getLocalContent(localFilename)
{
  if (localStoreSandbag()) {
//	  localFilename = document.getElementById("postIDs").selectedItem.value;
	var localFh = new File(localStoreDir + localFilename);
	if (localFh.exists()) {
	  localFh.open();
	  localContent = localFh.read();
	  localFh.close();
	  editorOpen(localContent);
	}
  }
}

function localDelete()
{
  if (localStoreSandbag()) {
	localFilename = document.getElementById("postIDs").selectedItem.value;
	var localFh = new File(localStoreDir + localFilename);
	localFh.remove();
	clearField();
	localRecentFile();
  }
}
