#!/usr/bin/perl

use lib "/usr/local/plesk/apache/vhosts/exitspace.net/httpdocs/modules";

use SOAP::Transport::HTTP;

SOAP::Transport::HTTP::CGI
    -> dispatch_to('exitspaceCloud')
    -> handle;

package exitspaceCloud;

sub addUpdatedSite {
    my ($name, $url, $checkUrl, $rssUrl, $token, $timestamp) = @_;
    open (FH, ">sites.txt") or die "$! error trying to open file";
    print FH "name: $name\n";
    print FH "url: $url\n";
    print FH "checkUrl: $checkUrl\n";
    print FH "rssUrl: $rssUrl\n";
    print FH "token: $token\n";
    print FH "timestamp: $timestamp\n";
    close FH;
    return "Success";
  }

sub bye {
    return "goodbye, cruel world";
  }

sub languages {
    return ("Perl", "C", "sh");
  }


