
var scraptObserver = {
  getSupportedFlavours : function () {
	var flavours = new FlavourSet();
	flavours.appendFlavour("text/unicode");
//	  flavours.appendFlavour("text/x-moz-url");
	return flavours;
  },
  onDragOver: function (evt,flavour,session){},
  onDrop: function (evt,dropdata,session){
	if (dropdata.data!=""){
	  var treeItem = document.createElement("listitem" );
	  treeItem.setAttribute("label", dropdata.data);
	  treeItem.setAttribute("ondblclick", "insertScraptItem();");
	  treeItem.setAttribute("tooltiptext", dropdata.data);
	  document.getElementById("scrapNotes").appendChild(treeItem);
	  var elem=document.createElement(dropdata.data);
	}
  }
};

function clearScraptPanel()
{
	var scraptPanel = document.getElementById('scrapNotes');
	listCount = scraptPanel.getRowCount();
	for (scraptCount = 0; scraptCount < listCount; scraptCount++) {
		scraptPanel.removeItemAt(0);
	}
}

function insertScraptItem()
{
	var scraptPanel = document.getElementById('scrapNotes');
	var selectedScrapt = scraptPanel.selectedItem;
	editorShell.InsertText(selectedScrapt.label);
}

function showListTitle()
{
	newListTitle = document.getElementById("scraptPanelTitle");
	currentlySelected = document.getElementById("scraptlistBox").selectedIndex;
	if (currentlySelected == 0) {	 // add to this for new tools
	  newListTitle.setAttribute("value", "Clipboard");
	} else if (currentlySelected == 1) {
	  newListTitle.setAttribute("value", "Previous Post");
	}
	return currentlySelected;
}

function prevListBox()
{
	var NUM_OF_TOOLS = 2;	// change this if new tools are added.
	currentlySelected = showListTitle();
	if (currentlySelected != 0) {
	  document.getElementById("scraptlistBox").setAttribute("selectedIndex", currentlySelected - 1);
	} else {
	  document.getElementById("scraptlistBox").setAttribute("selectedIndex", NUM_OF_TOOLS - 1);
	}
}

function nextListBox()
{
	currentlySelected = showListTitle();
	if (currentlySelected != 1) {
	  document.getElementById("scraptlistBox").setAttribute("selectedIndex", currentlySelected + 1);
	} else {
	  document.getElementById("scraptlistBox").setAttribute("selectedIndex", 0);
	}
}

