function clearField()
{
	// clear the editor
	editorOpen("");
}

function switchEditor()
{
//	  sourceEditor = document.getElementById("scraptDocument");
	if (firstLoad) {
		editorShell.SetDisplayMode(3);
		firstLoad = false;
	}
	if (editorShell.IsHTMLSourceMode() == false) { // show source
		document.getElementById("discussEditorType").setAttribute("selectedIndex","1");
		document.getElementById("editorSwitch").setAttribute("label", "normal");
		var formatBar = document.getElementById("discussFormatBar");
		if (discussFormatbarOpen == true) {
			formatBar.setAttribute("collapsed", "true");
		}
		document.getElementById("discuss-open-formatbar").setAttribute("disabled", "true");
		var discussContent = editorGetContent(1);
		editorShell.SetDisplayMode(3);
		editorOpen(discussContent);
	} else {
		document.getElementById("discussEditorType").setAttribute("selectedIndex","0");
		document.getElementById("editorSwitch").setAttribute("label", "source");
		if (discussFormatbarOpen == true) {
			document.getElementById("discussFormatBar").setAttribute("collapsed", "false");
		}
		document.getElementById("discuss-open-formatbar").setAttribute("disabled", "false");
//		  var discussSource = sourceEditor.value;
//		  editorShell.RebuildDocumentFromSource("<html><head><title></title></head>" + discussSource);
		var discussContent = editorGetContent(1);
		editorShell.SetDisplayMode(1);
		editorOpen(discussContent);
	}
}

function editorOpen(discussText)
{
	if (editorShell.IsHTMLSourceMode() == false) { // it's graphical editor
		var editorContent = "<html><head></head><body>" + discussText + "</body></html>";
		// bug <br> inserted if it's the last focused element
		editorShell.RebuildDocumentFromSource(editorContent);
//		  alert (editorContent);
	} else {
		sourceEditor = document.getElementById("scraptDocument");
		sourceEditor.value = discussText;
		sourceEditor.setAttribute("hidden","true");
		sourceEditor.setAttribute("hidden","false");
		sourceEditor.focus();
	}
}

function editorGetContent(discussMode)
{
	var tempContent;
	var discussContent;
	var sourceEditor = document.getElementById("scraptDocument");
	if (firstLoad) {
		editorShell.SetDisplayMode(3);
		firstLoad = false;
	}
	if (editorShell.IsHTMLSourceMode() == false) { // it's graphical editor
		tempContent = editorShell.GetContentsAs("text/html", 4);
	} else {
		tempContent = sourceEditor.value;
	}
	if (discussMode == 0) {
		discussContent = tempContent;
	} else if (discussMode == 1) {
		discussContent = cleanSource(tempContent);
	}
	return discussContent;
}

function cleanSource(plainContent)
{
		var tempContent = plainContent;
		var regex = /^<.+<body>/gi;
		tempContent = tempContent.replace(regex, "");
		regex = /<\/body><\/html>/gi;
		tempContent = tempContent.replace(regex, "");
//		  alert (tempContent);
		var stripBreaks;
		try {
		  stripBreaks = discussPref.getBoolPref("discuss.removeBreaks");
		} catch (e) {
		  stripBreaks = false;
		}
		if (stripBreaks) {
/*			  regex = /\n/gi;
			tempContent = tempContent.replace(regex, "");*/
			regex = /<br>/gi;
			tempContent = tempContent.replace(regex, "");
		}
		if (tempContent.charAt(tempContent.length-1) != '\n') {
			tempContent = tempContent + "\n";
		}
		return tempContent;
}

function showHideFormatBar()
{
	var discussFormatBar = document.getElementById("discussFormatBar");
	if (discussFormatBar.collapsed == true) {
		discussFormatBar.collapsed = false;
		discussFormatbarOpen = true;
	} else {
		discussFormatBar.collapsed = true;
		discussFormatbarOpen = false;
	}
}

function setParagraph(format)
{
	editorShell.SetParagraphFormat(format);
}

var blogEditorObserver = {
  getSupportedFlavours : function () {
	var flavours = new FlavourSet();
//	  flavours.appendFlavour("text/unicode");
	flavours.appendFlavour("text/html");
	return flavours;
  },
  onDragOver: function (evt,flavour,session) {
		selectionHandle = editorShell.editorSelection.QueryInterface(Components.interfaces.nsISelection);
		selectedText = selectionHandle.toString();
		if (selectedText != "") {
		  document.getElementById("discussEditorType").setAttribute("selectedIndex", 2);
		  document.getElementById("dragDropBox").setAttribute("value",
								  "Are you sure you want to replace the link name with " + selectedText + "?");
		}
  },
  onDrop: function (evt,dropdata,session){
		selectionHandle = editorShell.editorSelection.QueryInterface(Components.interfaces.nsISelection);
		var selectedText = new String(selectionHandle.toString());
		document.getElementById("discussEditorType").setAttribute("selectedIndex", 0);
		// need to implement checking valid <a>
		var tmpString = new String(dropdata.data);
		if (selectedText.charAt(selectedText.length - 1) == " ") {
			var tmpSelectedText = selectedText.slice(0, - 1);
			newString = tmpString.replace(/>.+<\/a>/i, ">" + tmpSelectedText + "</a>&nbsp;");
		} else {
			newString = tmpString.replace(/>.+<\/a>/i, ">" + selectedText + "</a>");
		}
		editorShell.InsertSource(newString);
  }
};
